<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_EgressConditioningServiceOnEndpoint" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_EgressConditioningServiceOnEndpoint">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="Antecedent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Override" type="cim:cimString">Antecedent</cim:Qualifier>
<cim:Qualifier name="Max" type="cim:cimUnsignedInt">1</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The ProtocolEndpoint through which traffic leaves a network device.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_EgressConditioningServiceOnEndpoint"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Dependent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Override" type="cim:cimString">Dependent</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The ConditioningService which ends the traffic conditioning processing within a network device.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_EgressConditioningServiceOnEndpoint"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="CIM_EgressConditioningServiceOnEndpoint" type="class:CIM_EgressConditioningServiceOnEndpoint_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_EgressConditioningServiceOnEndpoint" superclass="CIM_ServiceSAPDependency"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.7.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::Network::QoS</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">This association represents the binding, in the egress direction, between a ProtocolEndpoint and the last ConditioningService that processes packets before they leave a network device (via that ProtocolEndpoint). This 'last' ConditioningService is ordinarily a scheduler, but it does not have to be. There can be multiple 'last' ConditioningServices for an Endpoint (for example, in the case of a fallback scheduler). Therefore, the cardinality for the Dependent object reference remains 0..n. On the other hand, a single ConditioningService cannot be the last one to process packets for multiple Endpoints. So, the cardinality of the Antecedent object reference is narrowed from 0..n to 0..1.</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_EgressConditioningServiceOnEndpoint_Type">
<xs:sequence>
<xs:element ref="class:Antecedent"/>
<xs:element ref="class:Dependent"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
